package intrinsic.mx.messaging;

public class AbstractMessageStore extends intrinsic.mx.collections.ArrayCollection {

	/** Accessors */
	public String cacheID;
	public boolean isInitialized;
	public intrinsic.mx.messaging.AbstractProducer producer;
	public boolean autoSend;
	public boolean loaded;

	/** Variables */

	/** Constants */
	public static final String MESSAGE_STORE_HEADER = "message_store_header";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AbstractMessageStore() {
}


/** Static Methods */

/** Methods */
public native intrinsic.mx.rpc.AsyncToken release();
public native intrinsic.mx.rpc.AsyncToken initialize();
public native intrinsic.mx.rpc.AsyncToken saveCache();
public native void addItem(Object arg0);
public native intrinsic.mx.rpc.AsyncToken getCacheIDs(intrinsic.mx.collections.ListCollectionView arg0);
public native intrinsic.mx.rpc.AsyncToken clearCache();
public native intrinsic.mx.rpc.AsyncToken loadCache();

}
